Loading...
Searching...
No Matches
dsam::DsamPort::Settings Struct Reference

Port settings. More...

## Public Attributes

string | name
| Port name.
DeviceInterfaceType | devIfType
| Port interface type (allows forcing the interface type)
int | baudRate
| Baud rate.
Parity | parity
| Parity mode.
int | stopBits
| Number of stop bits (1 or 2)
FlowControl | flowCtrl
| Flow control type.
int | breakDurationMs
| Length of BREAK signal duration in milli seconds.
boolean | sshDpaPortEnabled
| `true` if dedicated SSH DPA port is enabled
int | sshDpaPort
| SSH DPA port number.
boolean | allowSharedAccess
| Allow more than one user to connect to this port.

## Detailed Description

Port settings.

The documentation for this struct was generated from the following file:

- DsamPort.idl